The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get QoS Policies in a Domain

Prev Next

This URL gets the list of QoS policies defined in a particular domain.

Resource URL

GET /domain/<domain_id>/qospolicy

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

domain_id

Domain id

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

QoSPoliciesForDomainResponseList

List of QoS policies defined in the domain

Array

Details of object in QoSPoliciesForDomainResponseList:

Field Name

Description

Data Type

policyName

Name of the QoS policy

String

visibleToChild

Is policy visible to child domains

Boolean

description

Policy description

String

isEditable

Is policy editable

Number

lastModUser

Last user that modified the policy

String

policyType

Policy type, can be "ADVANCED" or "CLASSIC"

String

policyId

QoS policy unique id

Number

domainId

Domain id

Number

policyVersion

Policy version

Number

Example

Request

GET https://<NSM_IP>/sdkapi/domain/0/qospolicy

Response

    {
       "QoSPoliciesForDomain":
       [
           {
               "policyName": "TestQosPolicy",
               "visibleToChild": true,
               "isEditable": true,
               "description": "To test the QOSPolicy",
               "lastModUser": "admin",
               "policyType": "ADVANCED",
               "policyId": 179,
               "domainId": 0,
               "policyVersion": 1
           },
           {
               "policyName": "QosPolicy",
               "visibleToChild": true,
               "isEditable": true,
               "description": "To test the QOSPolicy",
               "lastModUser": "admin",
               "policyType": "ADVANCED",
               "policyId": 175,
               "domainId": 0,
               "policyVersion": 1
           }
       ]
    }

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1105

Invalid domain